V2.0

put

/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/codingstatus/codedItems

Updates or inserts multiple coded data elements with value for a source data element and source value while also checking coding context

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    3F2504E04F8911D39A0C0305E82C3301
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request object for inserting or updating coded derived items. Contains the source property ID, source value, coding context, and a list of code values.
Show Source
  • codeValuesList
    Represents a coded value applied to a source value. Includes coding information, item and target identifiers and the coded result.
  • Minimum Length: 0
    Maximum Length: 4000
    Context in which the coding is performed.
    Example: {"Route of Administration":"as","Indication":"fer"}
  • Source property Unique identifier(UUID, 32-character uppercase hexadecimal string). Must be unique per data context.
    Example: C2D20B70E856463EBC6C830C693D1B40
  • Minimum Length: 0
    Maximum Length: 4000
    Original value from the source that is being coded.
    Example: ALT
Nested Schema : codeValuesList
Type: object
Represents a coded value applied to a source value. Includes coding information, item and target identifiers and the coded result.
Show Source
  • Minimum Length: 0
    Maximum Length: 4000
    The actual code value derived from the coding process.
    Example: R79.0
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) for the coding info used to derive the code.
    Example: 3A1A5E8B0F894A9CA9F324D04B162F23
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
    Example: 5B3B7E0ED4F24E30B5A3A44C5A896C90
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) for the coding result target.
    Example: F843B5478028498882E3AF11FEBA3F2A
Examples

Back to Top

Response

Supported Media Types

200 Response

Success: Returns the coded derived items with original source and coding details.
Body ()
Root Schema : CodedDerrivedItemsResponse2
Type: object
Response object for returning coded derived items. Includes original identifiers, context and coded result items.
Show Source
Nested Schema : codeValuesList
Type: object
Represents a coded item in a data element response, including identifiers, source value, and a referenced DataElement object.
Show Source
Nested Schema : DataElementDto
Type: object
Base data element details including identity, study and subject context, values and metadata
Show Source
  • Minimum Length: 0
    Maximum Length: 2048
    Comment for the data element change
    Example: Captured by device
  • Date-time value in UTC
    Example: 2025-10-16T14:30:31.892Z
  • Day part of date
    Example: 16
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ADF5A7800A954FA5B831E7B6B9CA39A9
  • Numeric decimal value
    Example: 12.34
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example: 40DB4EF4847849CCB24EFCCB71CDA436
  • Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: B6E0C7D5A1F3428C8B8B6A77C5E9D4AA
  • Hour part of time
    Example: 14
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the data element
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
    Example: DEADBEEFDEADBEEFDEADBEEFDEADBEEF
  • Minimum Length: 0
    Maximum Length: 64
    Measurement unit
    Example: mg/dL
  • Minute part of time
    Example: 30
  • Month part of date
    Example: 10
  • Identifier of normalized unit
    Example: A78AD8C31CD843CD8B847C06C0420FF5
  • Minimum Length: 0
    Maximum Length: 100
    Normalized value if applicable
    Example: 120
  • Numeric integer value
    Example: 120
  • An identifier representing the system, or user that initiated the transaction (UUID, 32-character uppercase hexadecimal string).
    Example: FEDCBA9876543210FEDCBA9876543210
  • Minimum Length: 0
    Maximum Length: 255
    Reason associated with the data element change
    Example: Initial entry
  • Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.
    Example: 1
  • Second part of time
    Example: 31
  • Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • Minimum Length: 0
    Maximum Length: 100
    Study name
    Example: STUDY-ABC
  • Minimum Length: 0
    Maximum Length: 100
    String representing the version of the study. Helps track changes in form or study design.
    Example: 3.0.0.1
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: 10F75668189F422F9A461A315D211111
  • The date and time at which the transaction processing completed.
    Example: 2025-10-16T14:30:31.892Z
  • The date and time at which the transaction processing began.
    Example: 2025-10-16T14:30:31.892Z
  • Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.
  • Minimum Length: 0
    Maximum Length: 32767
    Validation failure details if any
    Example: Incorrect values not allowed
  • Minimum Length: 0
    Maximum Length: 25
    Validation status of the data element. The validation status can be null or SUCCESS.
    Example: SUCCESS
  • Minimum Length: 0
    Maximum Length: 4000
    Raw value captured for the item
    Example: 120
  • Variable identifier (UUID, 32-character uppercase hexadecimal string) in uppercase hex format.
    Example: 0123456789ABCDEF0123456789ABCDEF
  • Minimum Length: 0
    Maximum Length: 100
    Vendor code if provided
    Example: VENDOR1
  • The timestamp marking the beginning of the validity period for this record version within the system.
    Example: 2025-10-16T14:30:31.892Z
  • Year part of date
    Example: 2025
Examples

400 Response

Bad Request
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top